STRCHANGE(3pub)

NAME
strchange - replace beginning of string with beginning of another string

SYNOPSIS
#include <publib.h>
char *strchange(char *str, size_t changelen,
                  const char *new, size_t newlen);

DESCRIPTION
strchange will replace changelen characters from the beginning of str with newlen characters from the beginning of new. The rest of str will moved appropriately.

RETURN VALUE
strchange will return its first argument.

SEE ALSO
publib(3), strcpy(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)